Are there any tools for upgrading a 0.5 drone database?


#1

I want to move a 0.5 database to 0.8.5 database. Is the best way to do this to build each version step incrementally? Or is there something to upgrade a 0.5 database?


#2

I checked the release notes and it appears you can upgrade from 0.5 to 0.6 but you will experience issues reading the logs (see below). There were also changes to how secrets were declared in the yaml, so your yaml files may need adjusting.

Please note that some data cannot be automatically migrated to the new database structure. As a result, build matrix and build logs created by previous versions of Drone are not properly rendered and result in javascript errors and infinite loading messages

It appears upgrading from 0.6 to 0.7 to 0.8 should not experience any issues.

With that being said, I would highly recommend upgrading to 1.0 instead of 0.8. The 1.0 release is scheduled for the 18th and the codebase is largely frozen while we test the final release candidate at cloud.drone.io. We have been testing in production since March 4 and have not observed any issues.


#3

Just to be clear, regardless I would need to step the database through 0.6, 0.7, and 0.8 correct? Or does the 0.8 migration tool cover back versions?